Update an invoice approval policy
Partially updates an existing invoice approval policy. Supports changing approvers, conditions, thresholds, and enablement without recreating the policy. applicable_type cannot be changed after creation.
Your call will only execute if the authenticated API user has permission to do so.
Authentication
AuthorizationBearer
OAuth2 authentication flows. Auth server URLs will vary by environment
Path parameters
id
Policy ID
Headers
X-Api-Key
API key for authentication
X-API-Version
API version to use (optional, defaults to latest). Supported values: 1.0.0, 1.1.0.
Request
Fields to update
name
Policy display name
min_users_for_approval
Minimum approvers required
is_enabled
Enable or disable the policy
user_approvers
Replace user approver list
role_approvers
Replace role approver list
conditions
Replace condition list
use_buyer_approver
Buyer-as-approver flag
ottimate_location_id
Change owner scope to location
ottimate_company_id
Change owner scope to company
Response
Policy updated
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error

